gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./pcap-bpf.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./pcap.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./inet.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./gencode.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./optimize.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./nametoaddr.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./etherent.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./savefile.c
rm -f bpf_filter.c
ln -s ./bpf/net/bpf_filter.c bpf_filter.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c bpf_filter.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./bpf_image.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c ./bpf_dump.c
flex -Ppcap_ -t scanner.l > $$.scanner.c; mv $$.scanner.c scanner.c
bison -y -p pcap_ -d grammar.y
mv y.tab.c grammar.c
mv y.tab.h tokdefs.h
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c scanner.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -Dyylval=pcap_lval -c grammar.c
sed -e 's/.*/char pcap_version[] = "&";/' ./VERSION > version.c
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC -I.  -DHAVE_CONFIG_H -c version.c

gcc -shared *.o -o libpcap.so
