sed -e 's/.*/#define VERSION "&"/' ./VERSION > version.h
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_resolve.c -o src/libnet_resolve.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_socket.c -o src/libnet_socket.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_checksum.c -o src/libnet_checksum.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_prand.c -o src/libnet_prand.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_version.c -o src/libnet_version.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_write_ip.c -o src/libnet_write_ip.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_insert_ipo.c -o src/libnet_insert_ipo.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_insert_tcpo.c -o src/libnet_insert_tcpo.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_error.c -o src/libnet_error.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_link_bpf.c -o src/libnet_link_bpf.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_packet_mem.c -o src/libnet_packet_mem.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_ip.c -o src/libnet_build_ip.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_tcp.c -o src/libnet_build_tcp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_udp.c -o src/libnet_build_udp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_arp.c -o src/libnet_build_arp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_ethernet.c -o src/libnet_build_ethernet.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_icmp.c -o src/libnet_build_icmp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_igmp.c -o src/libnet_build_igmp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_dns.c -o src/libnet_build_dns.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_snmp.c -o src/libnet_build_snmp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_rip.c -o src/libnet_build_rip.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_ospf.c -o src/libnet_build_ospf.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_build_vrrp.c -o src/libnet_build_vrrp.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_asn1.c -o src/libnet_asn1.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_hex_dump.c -o src/libnet_hex_dump.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_if_addr.c -o src/libnet_if_addr.o
gcc -O2 -D_THREAD_SAFE -D_REENTRANT -fPIC  -funroll-loops -fomit-frame-pointer -Wall   -DHAVE_CONFIG_H -c src/libnet_port_list.c -o src/libnet_port_list.o
gcc -o lib/libnet.so -shared src/libnet_resolve.o src/libnet_socket.o src/libnet_checksum.o src/libnet_prand.o src/libnet_version.o src/libnet_write_ip.o src/libnet_insert_ipo.o src/libnet_insert_tcpo.o src/libnet_error.o src/libnet_link_bpf.o src/libnet_packet_mem.o src/libnet_build_ip.o src/libnet_build_tcp.o src/libnet_build_udp.o src/libnet_build_arp.o src/libnet_build_ethernet.o src/libnet_build_icmp.o src/libnet_build_igmp.o src/libnet_build_dns.o src/libnet_build_snmp.o src/libnet_build_rip.o src/libnet_build_ospf.o src/libnet_build_vrrp.o src/libnet_asn1.o src/libnet_hex_dump.o src/libnet_if_addr.o src/libnet_port_list.o 
