
#include <stdio.h>
#include <fcntl.h>
#include <time.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>

#include <my-simple1.h>

void
null(void)
{
    printf("Hello, world!  This is null()\r\n");
}

static unsigned long _x = 0x12345678;

int bigendian(void)
{
    char	*p = (char *) &_x;

    if (*p == 0x12) {
	return 1;
    } else if (*p == 0x78) {
	return 0;
    } else {
	return 666;
    }
}

int
doubleit(int x)
{
    return x * 2;
}

int
addthem(int x, int y)
{
    return x + y;
}

int
multthem(int x, int y)
{
    return x * y;
}

int
foofoo(char *foo1, int foo1_len, char *foo2, int foo2_len, char *foo3,
       int foo3_len)
{
    printf("foo1 = ");
    fwrite(foo1, foo1_len, 1, stdout);
    printf("\r\n");
    printf("foo2 = ");
    fwrite(foo2, foo2_len, 1, stdout);
    printf("\r\n");
    printf("foo3 = ");
    fwrite(foo3, foo3_len, 1, stdout);
    printf("\r\n");
    return 42;
}

char *
ctime_returnhack(time_t thetime)
{
    return ctime(&thetime);
}

char *
ctime_time_t(time_t thetime)
{
    return ctime(&thetime);
}

size_t
fread_string(char *ptr, size_t size, size_t nmemb, FILE *stream)
{
    return fread(ptr, size, nmemb, stream);
}

int
open3(char *path, int flags, int mode)
{
    return open(path, flags, mode);
}
